Update a project budget service item
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-budget-service-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee": 123,
"description": "<string>",
"invoiceItemId": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-budget-service-items/{id}"
payload = {
"fee": 123,
"description": "<string>",
"invoiceItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fee: 123, description: '<string>', invoiceItemId: '<string>'})
};
fetch('https://www.ruddr.io/api/workspace/project-budget-service-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7f3a1b2c-84d5-4e96-a7b8-0c1d2e3f4a5b",
"fee": 18000,
"description": "Implementation support retainer",
"createdAt": "2026-06-04T11:05:33.219Z",
"project": {
"id": "9e4b2d1a-63f7-4c08-b5a9-1d2e3f4c5b6a",
"name": "Digital Transformation Initiative",
"client": {
"id": "2a1b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "Meridian Financial Group"
}
},
"invoiceItem": {
"id": "6b7c8d9e-0f1a-2b3c-4d5e-6f7a8b9c0d1e",
"name": "Professional Services"
}
}Project Budget Service Items
Update a project budget service item
PATCH
/
project-budget-service-items
/
{id}
Update a project budget service item
The budget for an additional service invoice item on a project. Only available for billable projects using a budget and the budget mode is either “detailed” or “aggregated”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project budget service item uuid.
Body
application/json
Response
200
The unique identifier for the object.
The total amount of the item.
A description of the item being charged.
The timestamp when the object was created.
The project this item belongs to.
Show child attributes
Show child attributes
The invoice item associated with this budget item.
Show child attributes
Show child attributes
⌘I